#
# spec file for package perl-HTTP-Parser-XS
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTTP-Parser-XS
Version:        0.17
Release:        2.32
%define cpan_name HTTP-Parser-XS
Summary:        Fast, Primitive Http Request Parser
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTTP-Parser-XS/
Source0:        https://cpan.metacpan.org/authors/id/K/KA/KAZUHO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.96
%{perl_requires}

%description
HTTP::Parser::XS is a fast, primitive HTTP request/response parser.

The request parser can be used either for writing a synchronous HTTP server
or a event-driven server.

The response parser can be used for writing HTTP clients.

Note that even if this distribution name ends '::XS', *pure Perl*
implementation is supported, so you can use this module on compiler-less
environments.

%prep
%setup -q -n %{cpan_name}-%{version}
# MANUAL BEGIN
sed -i -e 's/use inc::Module::Install/use lib q[.];\nuse inc::Module::Install/' Makefile.PL
# MANUAL END

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Oct  3 2017 coolo@suse.com
- patch the Makefile to build with perl 5.26
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.17
  see /usr/share/doc/packages/perl-HTTP-Parser-XS/Changes
  0.17
  - update picohttpparser (runs faster / does slightly more strict parsing)
  0.16
  - documentation about PATH_INFO
  0.15
  - deny HTTP header field with an empty name
  0.14
  - do not include '#' and the following characters in URI in PATH_INFO or QUERY_STRING
  0.13
  - fix compile error on GCC < 3 (RT #63074)
  0.12
  - fix undeclared dependency on URI::Escape (RT #62716)
  - fix parsing of protocol version in the pure perl impl to exactly match that of XS
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-HTTP-Parser-XS/Changes
  0.14
  - do not include '#' and the following characters in URI in PATH_INFO or QUERY_STRING
  0.13
  - fix compile error on GCC < 3 (RT #63074)
  0.12
  - fix undeclared dependency on URI::Escape (RT #62716)
  - fix parsing of protocol version in the pure perl impl to exactly match that of XS
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov  1 2010 pascal.bleser@opensuse.org
- update to 0.11:
  * fix build error due to the use of Module::Install::ReadmeMarkdownFromPod (RT #62589)
- changes from 0.10:
  * support for HTTP response parsing
* Thu Oct  7 2010 pascal.bleser@opensuse.org
- initial package (0.09)
